## mlterm 3.9.0

=== contrib/tool/mlcc/Makefile ===
VPATH = .

CC = gcc
PROG = mlcc
CFLAGS = -O2 -Wall -g

OBJECTS = data.o main.o comm.o \
 data_entry_string.o data_entry_bool.o data_entry_numeric.o \
 data_entry_color.o data_entry_radio.o

all: $(PROG)

$(PROG): $(OBJECTS)
	$(CC) -o $(PROG) $(OBJECTS)

.SUFFIXES: .c.o

comm.o: comm.h
data.o: comm.h data.h
main.o: comm.h data.h

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f $(OBJECTS) $(PROG) core core.* $(PROG).core

mostlyclean:
	rm -f $(OBJECTS) core core.* $(PROG).core

=== debian/changelog ===
mlterm (3.9.0-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Mar 2022 07:00:14 -0500

mlterm (3.9.0-1) unstable; urgency=medium

  * Bumped to compat level 12
    d/rules: set compat level to 10 during configure phase
  * Set debhelper compat level in build deps
  * New upstream version 3.9.0
  * Refresh patches
  * Update symbols file
  * Update standards version to 4.5.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 20:03:46 +0200

=== debian/control ===
Source: mlterm
Section: x11
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Uploaders: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 12), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Homepage: http://mlterm.sourceforge.net
Vcs-Git: https://salsa.debian.org/debian/mlterm.git
Vcs-Browser: https://salsa.debian.org/debian/mlterm

Package: mlterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: mlterm-tools
Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-noto-cjk | fonts-nanum, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
Conflicts: mlterm-tiny
Provides: x-terminal-emulator
Description: MultiLingual TERMinal
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.

Package: mlterm-tiny
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-nanum | fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-freefont-ttf, t1-cyrillic, mlterm-im-uim
Conflicts: mlterm
Provides: x-terminal-emulator
Description: MultiLingual TERMinal, tiny version
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.
 .
 This tiny version does not support fancy features such as background
 image and so on, except for i18n-related features.

Package: mlterm-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ncurses-term (>= 5.7+20101128-1)
Pre-Depends: ${misc:Pre-Depends}
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Recommends: mlterm | mlterm-tiny
Description: MultiLingual TERMinal, common files
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains necessary files which are common for mlterm
 and mlterm-tiny packages.

Package: mlterm-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Breaks: mlterm (<= 2.8.0.cvs20040403-2)
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Description: MultiLingual TERMinal, additional tools
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains configuration tools and so on for mlterm.

Package: mlterm-im-uim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, uim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains uim input method plugin for mlterm.

Package: mlterm-im-scim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, scim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains scim input method plugin for mlterm.

Package: mlterm-im-m17nlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, m17nlib input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains m17nlib input method plugin for mlterm.

Package: mlterm-im-ibus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, IBus input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains IBus input method plugin for mlterm.

Package: mlterm-im-fcitx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, Flexible Input Method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains Flexible Input Method plugin for mlterm.

Package: mlterm-im-wnn
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, FreeWnn input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains FreeWnn Input Method plugin for mlterm.

Package: mlterm-im-canna
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, Canna input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains Canna Input Method plugin for mlterm.

Package: mlterm-im-skk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: MultiLingual TERMinal, SKK input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains Simple Kana Kanji (SKK) Input Method plugin for mlterm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


MLTERM_COMMON=$(CURDIR)/debian/mlterm-common
MLTERM=$(CURDIR)/debian/mlterm
MLTERM_TINY=$(CURDIR)/debian/mlterm-tiny
MLTERM_TOOLS=$(CURDIR)/debian/mlterm-tools
MLTERM_IM_UIM=$(CURDIR)/debian/mlterm-im-uim
MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
MLTERM_IM_FCITX=$(CURDIR)/debian/mlterm-im-fcitx

OPTS_COMMON=--x-includes=/usr/X11R6/include \
            --x-libraries=/usr/X11R6/lib \
            --disable-rpath \
            --disable-iiimf \
            --enable-vt52
          # --enable-utmp \

OPTS_TINY=$(OPTS_COMMON) \
          --with-type-engines=xcore \
          --with-tools=no \
          --with-scrollbars=sample \
          --disable-uim \
          --disable-m17nlib \
          --disable-scim \
          --disable-fcitx \
          --disable-ibus \
          --disable-wnn \
          --disable-canna \
          --disable-skk

OPTS_MAIN=$(OPTS_COMMON) \
          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft,cairo \
          --enable-optimize-redrawing \
          --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
          --with-scrollbars=sample,extra,pixmap_engine

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf main-tiny

override_dh_autoreconf:

override_dh_auto_configure:
	# Make mlterm-common, mlterm, mlterm-tools, mlterm-im-*
	DH_COMPAT=10 dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build

	# Make mlterm-tiny
	DH_COMPAT=10 dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
	cp -a main main-tiny
	rm -f uitoolkit/*.o main-tiny/*.o
	$(MAKE) -C uitoolkit
	$(MAKE) -C main-tiny VPATH=$(CURDIR)/main-tiny

	# configure again for installation (later)
	DH_COMPAT=10 dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_install:
	# mlterm-common:
	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xwnn -Xcanna -Xskk -Xman1
	rm $(MLTERM_COMMON)/usr/lib/*/libpobl.so
	rm $(MLTERM_COMMON)/usr/lib/*/libmef.so
	for i in main font aafont key termcap xim color menu ; \
	  do install -m 644 debian/config-$$i \
	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done
	# the rest:
	dh_install -Nmlterm-common

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/mlterm -Xusr/lib/$(DEB_HOST_MULTIARCH)/mef

override_dh_installdocs:
	dh_installdocs --link-doc=mlterm-common

## mlterm 3.9.3

=== debian/changelog ===
mlterm (3.9.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:38 +1100

mlterm (3.9.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:45:19 +0000

mlterm (3.9.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + mlterm-common, mlterm-im-canna, mlterm-im-fcitx,
    mlterm-im-skk, mlterm-im-wnn: Add Multi-Arch: same.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Update lintian override info format in d/mlterm-common.lintian-overrides
    on line 2-3.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)
    * Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
    * Build-Depends: Drop versioned constraint on libuim-dev (>= 1.4.1).
    * mlterm-common: Drop versioned constraint on
      ncurses-term (>= 5.7+20101128-1) in Depends.
    * mlterm-common: Drop conflict with removed package
      mlterm (<= 2.8.0.cvs20040403-2) in Replaces.
    * mlterm-tools: Drop conflict with removed package
      mlterm (<= 2.8.0.cvs20040403-2) in Replaces.
    * mlterm-tools: Drop conflict with removed package
      mlterm (<= 2.8.0.cvs20040403-2) in Breaks.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 3.9.3
  * Add upstream signing key
  * d/control: bump debhelper compat level to 13
  * Add d/not-installed to list *.a, *.la files
  * d/mlterm-{common,tools}.lintian-overrides: update
    {desktop,menu}-command-not-in-package tags
  * d/p/disable_rpath.diff: patch configure script to remove -R $x_libraries
  * Update watch file
  * Refresh patches
  * Update symbols file
  * mlterm-common.lintian-overrides: add override for
    symbols-file-missing-build-depends-package-field
  * Switch to GTK4
  * Switch to Fcitx5

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 04 Jun 2023 05:09:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mlterm
 Section: x11
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper-compat (= 12), libgtk-3-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, fcitx-libs-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libgtk-4-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-dev, libfribidi-dev, libxrender-dev, libuim-dev, libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libfcitx5gclient-dev, libfcitx5utils-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
-Homepage: http://mlterm.sourceforge.net
+Homepage: https://mlterm.sourceforge.net
 Vcs-Git: https://salsa.debian.org/debian/mlterm.git
 Vcs-Browser: https://salsa.debian.org/debian/mlterm
 
@@ -74,10 +75,10 @@
 
 Package: mlterm-common
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ncurses-term (>= 5.7+20101128-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}, ncurses-term
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: mlterm (<= 2.8.0.cvs20040403-2)
 Recommends: mlterm | mlterm-tiny
+Multi-Arch: same
 Description: MultiLingual TERMinal, common files
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -89,8 +90,6 @@
 Package: mlterm-tools
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
-Breaks: mlterm (<= 2.8.0.cvs20040403-2)
-Replaces: mlterm (<= 2.8.0.cvs20040403-2)
 Description: MultiLingual TERMinal, additional tools
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -146,6 +145,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: MultiLingual TERMinal, Flexible Input Method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -157,6 +157,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: MultiLingual TERMinal, FreeWnn input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -168,6 +169,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: MultiLingual TERMinal, Canna input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -179,6 +181,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: MultiLingual TERMinal, SKK input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
           --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft,cairo \
           --enable-optimize-redrawing \
           --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
+          --with-gtk=4.0 \
           --with-scrollbars=sample,extra,pixmap_engine
 
 %:

## mlterm 3.9.4

=== cocoa/mlterm-ios.app/Makefile ===
all:
	plutil -convert binary1 mlterm-Info.plist -o Info.plist

=== encodefilter/util/Makefile ===
SRCDIR=src

ucs_map: jisx0208 jisx0212 jisx0213 iso8859-2 iso8859-3 iso8859-4 iso8859-10 \
	iso8859-13 iso8859-14 iso8859-16 johab tcvn viscii koi8-t georgian-ps \
	cp1250 cp1251 cp1252 cp1253 cp1254 cp1255 cp1256 \
	cp1257 cp1258 big5 big5hkscs cns11643 gbk uhc property

# Manually maintained tables.
ucs_map2: jisx0208-nec jisx0208-ibm sjis-ibm

jisx0208:
	cat ${SRCDIR}/JIS0208.TXT.fixed | ./jisx0208_1983_table.pl

jisx0208-nec:
	cat ${SRCDIR}/nec98.txt | ./jisx0208_nec_ext_table.pl

jisx0208-ibm:
	cat ${SRCDIR}/necibm.txt | ./jisx0208_necibm_ext_table.pl

sjis-ibm:
	cat ${SRCDIR}/ibmibm.txt | ./sjis_ibm_ext_table.pl

jisx0212:
	cat ${SRCDIR}/JIS0212.TXT | ./jisx0212_1990_table.pl

jisx0213:
	cat ${SRCDIR}/jisx0213code-csv.txt | ./jisx0213_2000_table.pl

iso8859-2:
	cat ${SRCDIR}/8859-2.TXT | ./iso8859_2_table.pl

iso8859-3:
	cat ${SRCDIR}/8859-3.TXT | ./iso8859_3_table.pl

iso8859-4:
	cat ${SRCDIR}/8859-4.TXT | ./iso8859_4_table.pl

iso8859-10:
	cat ${SRCDIR}/8859-10.TXT | ./iso8859_10_table.pl

iso8859-13:
	cat ${SRCDIR}/8859-13.TXT | ./iso8859_13_table.pl

iso8859-14:
	cat ${SRCDIR}/8859-14.TXT | ./iso8859_14_table.pl

iso8859-16:
	cat ${SRCDIR}/8859-16.TXT | ./iso8859_16_table.pl

johab:
	cat ${SRCDIR}/hangul-codes.txt | ./johab_table.pl

uhc:
	cat ${SRCDIR}/KSC5601.TXT | ./uhc_table.pl

tcvn:
	cat ${SRCDIR}/vscii.txt | ./tcvn_table.pl

viscii:
	cat ${SRCDIR}/unicode.html | ./viscii_table.pl

koi8-t:
	cat ${SRCDIR}/KOI8-T | ./koi8_t_table.pl

georgian-ps:
	cat ${SRCDIR}/GEORGIAN-PS | ./georgian_ps_table.pl

cp1250:
	cat ${SRCDIR}/CP1250.TXT | ./cp1250_table.pl

cp1251:
	cat ${SRCDIR}/CP1251.TXT | ./cp1251_table.pl

cp1252:
	cat ${SRCDIR}/CP1252.TXT | ./cp1252_table.pl

cp1253:
	cat ${SRCDIR}/CP1253.TXT | ./cp1253_table.pl

cp1254:
	cat ${SRCDIR}/CP1254.TXT | ./cp1254_table.pl

cp1255:
	cat ${SRCDIR}/CP1255.TXT | ./cp1255_table.pl

cp1256:
	cat ${SRCDIR}/CP1256.TXT | ./cp1256_table.pl

cp1257:
	cat ${SRCDIR}/CP1257.TXT | ./cp1257_table.pl

cp1258:
	cat ${SRCDIR}/CP1258.TXT | ./cp1258_table.pl

big5:
	cat ${SRCDIR}/BIG5 | ./big5_table.pl

big5hkscs:
	cat ${SRCDIR}/BIG5HKSCS | ./big5hkscs_table.pl

cns11643:
	cat ${SRCDIR}/CNS11643.TXT | ./cns11643_1992_table.pl

gbk:
	cat ${SRCDIR}/CP936.TXT | ./gbk_table.pl

property:
	cat ${SRCDIR}/UnicodeData-11.0.0.txt ${SRCDIR}/EastAsianWidth-11.0.0.txt | ./ucs_property.pl

clean:
	rm -f mef_*.table

=== debian/changelog ===
mlterm (3.9.4-3) unstable; urgency=medium

  * d/copyright: refer to FSF website instead of physical address
  * Drop wnn support (again)
  * d/changelog: remove trailing white space
  * d/rules: enable all hardening flags

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 30 Oct 2025 16:38:18 +0100

mlterm (3.9.4-2) unstable; urgency=medium

  * d/mlterm-tools.lintian-overrides: fix typo in comment
  * d/p/consistent_manpage.diff: update my email address
  * Add fix-incompat-pointer-types.patch to fix incompatible pointer types
    errors (Closes: #1114209)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Sep 2025 06:15:24 +0200

mlterm (3.9.4-1) unstable; urgency=medium

  * New upstream version 3.9.4 (Closes: #1066997)
  * Re-add mlterm-im-wnn
  * d/control: bump standards version to 4.7.2
  * Refresh disable_rpath.diff patch
  * Dropped typos.diff, fix-incompat-pointer-types.patch and
    fix-illegal-mem-access.patch, applied upstream
  * d/mlterm-common.symbols: update symbols
  * d/mlterm-common.lintian-overrides: update override tag for libmef files

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 11 Aug 2025 18:30:45 +0200

mlterm (3.9.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop mlterm-im-wnn. (Closes: #1068503)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 12:35:04 +0300

mlterm (3.9.3-3) unstable; urgency=medium

  * Add fix-illegal-mem-access.patch to fix illegal memory access
    (Closes: #1089753)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Jan 2025 18:55:25 +0100

mlterm (3.9.3-2) unstable; urgency=medium

  * Add fix-incompat-pointer-types.patch to fix errors with incompatible
    pointer types
    (Closes: #1075281)
  * Drop Canna input plugin method.
    Thanks to Andreas Metzler <ametzler@bebt.de> (Closes: #1084200)
  * Bumped standards version to 4.7.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Dec 2024 13:17:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: mlterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper-compat (= 13), libgtk-4-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-dev, libfribidi-dev, libxrender-dev, libuim-dev, libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libfcitx5gclient-dev, libfcitx5utils-dev, libssh2-1-dev, libcairo2-dev, libwnn-dev, libcanna1g-dev, libskk-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libgtk-4-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-dev, libfribidi-dev, libxrender-dev, libuim-dev, libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libfcitx5gclient-dev, libfcitx5utils-dev, libssh2-1-dev, libcairo2-dev, libskk-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 Homepage: https://mlterm.sourceforge.net
 Vcs-Git: https://salsa.debian.org/debian/mlterm.git
@@ -153,29 +152,17 @@
  .
  This package contains Flexible Input Method plugin for mlterm.
 
-Package: mlterm-im-wnn
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: MultiLingual TERMinal, FreeWnn input method plugin
- mlterm is a terminal emulator for X Window System, which supports
- various encodings, doublewidth characters, BiDi, Arabic shaping,
- and so on.
- .
- This package contains FreeWnn Input Method plugin for mlterm.
-
-Package: mlterm-im-canna
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: MultiLingual TERMinal, Canna input method plugin
- mlterm is a terminal emulator for X Window System, which supports
- various encodings, doublewidth characters, BiDi, Arabic shaping,
- and so on.
- .
- This package contains Canna Input Method plugin for mlterm.
+#Package: mlterm-im-wnn
+#Architecture: any
+#Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+#Pre-Depends: ${misc:Pre-Depends}
+#Multi-Arch: same
+#Description: MultiLingual TERMinal, FreeWnn input method plugin
+# mlterm is a terminal emulator for X Window System, which supports
+# various encodings, doublewidth characters, BiDi, Arabic shaping,
+# and so on.
+# .
+# This package contains FreeWnn Input Method plugin for mlterm.
 
 Package: mlterm-im-skk
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -27,6 +29,7 @@
             --x-libraries=/usr/X11R6/lib \
             --disable-rpath \
             --disable-iiimf \
+            --disable-canna \
             --enable-vt52
           # --enable-utmp \
 
@@ -40,7 +43,6 @@
           --disable-fcitx \
           --disable-ibus \
           --disable-wnn \
-          --disable-canna \
           --disable-skk
 
 OPTS_MAIN=$(OPTS_COMMON) \
@@ -78,7 +80,7 @@
 
 override_dh_install:
 	# mlterm-common:
-	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xwnn -Xcanna -Xskk -Xman1
+	dh_install -pmlterm-common -Xuim -Xm17 -Xscim -Xibus -Xfcitx -Xwnn -Xskk -Xman1
 	rm $(MLTERM_COMMON)/usr/lib/*/libpobl.so
 	rm $(MLTERM_COMMON)/usr/lib/*/libmef.so
 	for i in main font aafont key termcap xim color menu ; \

=== debian/watch ===
version=4

opts="dversionmangle=s/~/-/,uversionmangle=s/-/~/, \
  pgpsigurlmangle=s#archive/refs/tags/@ANY_VERSION@\.tar\.gz#releases/download/$1/mlterm-$1.tar.gz.asc#" \
  https://github.com/arakiken/@PACKAGE@/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@

#opts="dversionmangle=s/~/-/,uversionmangle=s/-/~/, \
#  searchmode=plain,\
#  filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, \
#  pgpsigurlmangle=s/@ANY_VERSION@\.tar\.gz/mlterm-$1.tar.gz.asc/" \
#  https://api.github.com/repos/arakiken/@PACKAGE@/releases?per_page=50 \
#  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
